> ## Documentation Index
> Fetch the complete documentation index at: https://manual.kotanipay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create KYC Address

> This api will create a new kyc address

This API will create a new KYC address record for customer verification.


## OpenAPI

````yaml POST /api/v3/kyc/address
openapi: 3.0.0
info:
  title: KOTANI PAY API PLATFORM
  description: ''
  version: '3.0'
  contact: {}
servers:
  - url: https://preview.kotanipay.com
security: []
tags: []
paths:
  /api/v3/kyc/address:
    post:
      tags:
        - KYC
      summary: Create Kyc Address
      description: This api will create a new kyc address
      operationId: KycController_createAddress_api/v3
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/KycAddressDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: Kyc Address created successfully
                  data:
                    $ref: '#/components/schemas/KycResponseDto'
                    type: object
      security:
        - JWT: []
components:
  schemas:
    KycAddressDto:
      type: object
      properties:
        kycId:
          type: string
        street:
          type: string
        town:
          type: string
        country:
          type: string
          description: example GH,KE,NG
      required:
        - kycId
        - street
        - town
        - country
    KycResponseDto:
      type: object
      properties:
        status:
          type: string
        kycId:
          type: string
        kycStatus:
          type: boolean
      required:
        - status
  securitySchemes:
    JWT:
      scheme: bearer
      bearerFormat: JWT
      type: http

````